Subject: Re: linux-next: manual merge of the drbd tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Tue, 1 Jun 2010 10:31:26 +0200

On Tue, Jun 01 2010, Stephen Rothwell wrote:
> [Replacing Jens' Oracle address ...]
> 
> Hi Christoph,
> 
> On Tue, 1 Jun 2010 04:18:23 -0400 Christoph Hellwig <[email-masked]> wrote:
> >
> > On Tue, Jun 01, 2010 at 02:13:24PM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Today's linux-next merge of the drbd tree got a conflict in fs/pipe.c
> > > between commit cc967be54710d97c05229b2e5ba2d00df84ddd64 ("fs: Add missing
> > > mutex_unlock") from Linus' tree and commits
> > > 0191f8697bbdfefcd36e7b8dc3eeddfe82893e4b ("pipe: F_SETPIPE_SZ should
> > > return -EPERM for non-root") and b9598db3401282bb27b4aef77e3eee12015f7f29
> > > ("pipe: make F_{GET,SET}PIPE_SZ deal with byte sizes") from the drbd tree.
> > > 
> > > I fixed it up (see below) and can carry the fix for a while.
> > 
> > Why is the drbd tree touching fs/pipe.c anyway?
> 
> It is based on the block tree.  I assume that it is currently based on a
> version of the block tree that Jens has not yet pushed into
> linux-next.  :-(

Just checked, and it is indeed for-next that is behind... Will update
it.

-- 
Jens Axboe